Bug 190513 - unable to load scsi drivers properly after kernel upgrade to 2.6.16
unable to load scsi drivers properly after kernel upgrade to 2.6.16
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-05-03 01:03 EDT by Siddharth Bhosle
Modified: 2008-02-05 08:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-05 08:34:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Siddharth Bhosle 2006-05-03 01:03:02 EDT
Description of problem: After upgrading to 2.6.16 from 2.6.11 using yum, boot
process crashes. The following errors occur after libata is loaded:

ata1: SATA max UDMA/133 cmd 0x5050 ctl 0x5062 bmdma 0x5040 irq 17
ata2: SATA max UDMA/133 cmd 0x5050 ctl 0x5062 bmdma 0x5040 irq 17
ATA: abnormal status 0x7f on lport 0x5057
scsi0 : ata_piix
ATA: abnormal status 0x7f on lport 0x505f
scsi1 : ata_piix
Loading jbd.ko module
Loading ext3.ko module
Creating root device
Mounting root file system
mount: error 6 mounting ext3
Switching to new root
ERROR opening /dev/console!!!!: 2
error dup2'ing fd of 0 to 0
error dup2'ing fd of 0 to 1
error dup2'ing fd of 0 to 2
unmounting old /proc
unmounting old /sys
switchroot: mount failed 22
kernel panic - not syncing: Attempted to kill init!

Version-Release number of selected component (if applicable):
Kernel 2.2.16-1.2096_FC4smp
SCSI - MPT (using mptbase.ko and mptscsilib.ko) from LSI Logic corporation

How reproducible:
Upgrade to kerlen 2.6.16-1.2096 from 2.6.11-1.1369 on an HP Proliant dual cpu
(xeon) with scsi hdd. (seems to be happening to any system with scsi)

Steps to Reproduce:
1. Install FC4
2. Use yum to upgrade kernel\*
3. reboot
Actual results:
The first errors come with root=Label=/1 not found. If you fix it by giveing
actual device names in grub.conf and fstab, you get the above errors.

Expected results:
System booting like it does with a 2.6.11-1 kernel.

Additional info:
The system still boots well with the 2.6.11 kernel
Comment 1 Dave Jones 2006-09-16 22:49:31 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Dave Jones 2006-10-16 17:49:39 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 17:17:05 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 4 Jon Stanley 2008-02-05 08:34:48 EST
Closing since there was an error in previous mass-close and they remained in

Note You need to log in before you can comment on or make changes to this bug.